/********************************************************************** 
 * Copyright (c) 2007 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html         
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/ 
package org.eclipse.cosmos.rm.smlif.internal.common;

import org.eclipse.osgi.util.NLS;

public class SMLMessages extends NLS 
{

	private static final String BUNDLE_NAME = "org.eclipse.cosmos.rm.smlif.internal.common.messages";//$NON-NLS-1$
	
	private SMLMessages() 
	{
		// Do not instantiate
	}
	
	public static String errorNoSelectionTitle;
	public static String errorNoSelection;
	public static String errorContentTypeTitle;
	public static String errorContentType;
	public static String errorEditorTitle;
	public static String errorEditorPages;
	public static String errorEditorWrongInput;
	
	public static String confirmNoErrorTitle;
	public static String confirmNoError;	
	public static String commonCopy;
	public static String failedValidationTitle;
	public static String failedValidation;

	public static String importErrorTitle;
	public static String importErrorNullSmlifFileName;
	public static String importErrorNullTargetDirName;
	public static String importErrorCouldNotWriteFile;
	public static String importErrorCouldNotCreateDirectory;
	public static String importErrorMissingFileAtLocatorURL;
	public static String importErrorInvalidLocatorURL;
	
	public static String exportErrorTitle;
	public static String exportErrorFileNotReadable;
	public static String exportErrorFileNotFound;
	public static String exportErrorNotADirectory;
	public static String exportErrorDirectoryUnreadable;
	public static String exportErrorDirectoryNotFound;
	public static String exportErrorCouldNotCreateDirectoryStructure;
	
	public static String importFromSMLIFWizardTitle;
	public static String importFromSMLIFWizardPageTitle;
	public static String importFromSMLIFWizardFileInstruction;

	public static String editorOverviewTitle;
	public static String editorDocumentTitle;
	public static String editorSMLIFTitle;
	public static String editorName;
	public static String editorDescription;
	public static String editorBaseURI;
	public static String editorDisplayName;
	public static String editorGeneralInformation;
	public static String editorValidateDocument;
	public static String errorOpening;
	public static String errorOpeningTitle;
	public static String errorWrongRootNode;

	static 
	{
		NLS.initializeMessages(BUNDLE_NAME, SMLMessages.class);
	}
}

