/**********************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.smlif.internal.editor;

import org.eclipse.cosmos.rm.smlif.SMLPlugin;
import org.eclipse.cosmos.rm.smlif.internal.common.SMLMessages;
import org.eclipse.ui.forms.editor.FormEditor;
import org.eclipse.ui.forms.editor.FormPage;

public class DocumentsPage extends FormPage
{
	/**
	 * The id of this page
	 */
	public static final String ID = SMLPlugin.PLUGIN_ID + ".DocumentsPage";
	
	
	public DocumentsPage(FormEditor editor)
	{
		super(editor, ID, SMLMessages.editorDocumentTitle);
	}

}
