/**********************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.content;

import org.eclipse.core.runtime.content.IContentDescriber;
import org.eclipse.cosmos.rm.validation.internal.SMLActivator;
import org.eclipse.cosmos.rm.validation.internal.common.ISMLConstants;

public class GenicContentDescriber extends AbstractXMLContentDescriber
{
	/**
	 * The content type id for genic documents
	 */
	public static final String ID = SMLActivator.PLUGIN_ID + ".genicContentType";


	
	public int determineType(String line)
	{		
		return ISMLConstants.SCHEMA_ELEMENT.equals(retrieveElementName(line)) ? IContentDescriber.VALID : IContentDescriber.INVALID;
	}
}
